package com.bonus.canteen.core.auth.user.business;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.auth.user.dto.MgrUserLoginDTO;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import com.bonus.canteen.core.customer.model.PigxUser;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MgrUserBurialPointBusiness implements CustomBusiness {
   public String name() {
      return "操作员";
   }

   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("5.6.8", "初版")});
   }

   public String didBeforeLogin(MgrUserLoginDTO loginDTO) {
      return null;
   }

   public PigxUser didBeforeAppAccountLogin(MgrUserLoginDTO loginDTO) {
      return null;
   }
}
